Bug 6989 - Patron categories not properly displayed if not pure ASCII
Summary: Patron categories not properly displayed if not pure ASCII
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Target Milestone: ---
Assignee: Frédéric Demians
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-08 13:42 UTC by Frédéric Demians
Modified: 2013-12-05 19:59 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (1.49 KB, patch)
2011-10-08 13:46 UTC, Frédéric Demians
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6989 Patron categories not properly displayed if not pure ASCII (1.55 KB, patch)
2011-10-11 15:36 UTC, Piotr Wejman
Details | Diff | Splinter Review
Bug 6989 Patron categories not properly displayed if not pure ASCII (1.59 KB, patch)
2011-10-18 16:17 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Demians 2011-10-08 13:42:23 UTC
C4::Category module returns badly encoded patron categories when they are
containing non pure-ASCII characters.

To reproduce this bug:

  - Go in Administration > Patron Categories
  - Add a new category. Give it this code for example:
    Café
  - Click on Patrons link on top menu
  - Click on New button

    => You get 'Café' displayed without accent
Comment 1 Frédéric Demians 2011-10-08 13:46:31 UTC Comment hidden (obsolete)
Comment 2 Piotr Wejman 2011-10-11 15:36:12 UTC Comment hidden (obsolete)
Comment 3 Paul Poulain 2011-10-18 16:17:47 UTC
Created attachment 5961 [details] [review]
Bug 6989 Patron categories not properly displayed if not pure ASCII

C4::Category module returns badly encoded patron categories when they are
containing non pure-ASCII characters.

To reproduce this bug:

  - Go in Administration > Patron Categories
  - Add a new category. Give it this code for example:
    Café
  - Click on Patrons link on top menu
  - Click on New button

    => You get 'Café' displayed without accent

Signed-off-by: Piotr Wejman <ropuch@bagno.be>
Signed-off-by: Paul Poulain <paul.poulain@biblibre.com>
Comment 4 Paul Poulain 2011-10-18 16:19:10 UTC
QA comment:
  * good test plan
  * patch fixes the problem, and is comparable to previous ones related to itemtypes

passed QA
Comment 5 Paul Poulain 2011-11-04 11:08:42 UTC
patch pushed, please test
Comment 6 Jared Camins-Esakov 2012-05-23 12:46:40 UTC
This was included in the 3.6 branch prior to 3.6.4.